Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontosim.string
Class CommonWords

    java.lang.Object
      fr.inrialpes.exmo.ontosim.string.CommonWords

All Implemented Interfaces:
  Measure<String>

    public class CommonWords

extends Object
implements Measure<String>

Nested Class Summary

Nested classes/interfaces inherited from interface fr.inrialpes.exmo.ontosim.Measure
`Measure.TYPES`

Field Summary
`private org.apache.lucene.analysis.Analyzer` | `analyzer`
`private Map<String,Set<String>>` | `map`

Constructor Summary
`CommonWords()`

Method Summary
`private void` | `extractTerms(String e)`
`double` | `getDissim(String o1, String o2)`
`double` | `getMeasureValue(String o1, String o2)`
`Measure.TYPES` | `getMType()`
`double` | `getSim(String o1, String o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### analyzer

    private org.apache.lucene.analysis.Analyzer analyzer

### map

    private Map<String,Set<String>> map

Constructor Detail

### CommonWords

    public CommonWords()

Method Detail

### getDissim

    public double getDissim(String o1,
                            String o2)

  Specified by:
    `getDissim` in interface `Measure<String>`

### getMType

    public Measure.TYPES getMType()

  Specified by:
    `getMType` in interface `Measure<String>`

### getMeasureValue

    public double getMeasureValue(String o1,
                                  String o2)

  Specified by:
    `getMeasureValue` in interface `Measure<String>`

### getSim

    public double getSim(String o1,
                         String o2)

  Specified by:
    `getSim` in interface `Measure<String>`

### extractTerms

    private void extractTerms(String e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2008-2009